GpgFrontend::UI::AppearanceTab Class Reference
Inheritance diagram for GpgFrontend::UI::AppearanceTab:
Collaboration diagram for GpgFrontend::UI::AppearanceTab:

## Signals

void | signalRestartNeeded (bool needed)

## Public Member Functions

| AppearanceTab (QWidget *parent=nullptr)
| Construct a new Appearance Tab object. More...
void | SetSettings ()
| Set the Settings object. More...
void | ApplySettings ()

## Private Attributes

QButtonGroup * | icon_style_group_
QRadioButton * | icon_size_small_
QRadioButton * | icon_size_medium_
QRadioButton * | icon_size_large_
QButtonGroup * | icon_size_group_
QRadioButton * | icon_text_button_
QRadioButton * | icon_icons_button_
QRadioButton * | icon_all_button_
QSpinBox * | info_board_font_size_spin_
QCheckBox * | window_size_check_box_

## Constructor & Destructor Documentation

## AppearanceTab()

GpgFrontend::UI::AppearanceTab::AppearanceTab | ( | QWidget * | parent = `nullptr` | ) |

explicit

Construct a new Appearance Tab object.

Parameters

  parent |

References SetSettings().

## Member Function Documentation

## SetSettings()

void GpgFrontend::UI::AppearanceTab::SetSettings | ( |  | ) |

Set the Settings object.

References GpgFrontend::UI::SettingsObject::Check().

Referenced by AppearanceTab().

## signalRestartNeeded

void GpgFrontend::UI::AppearanceTab::signalRestartNeeded | ( | bool | needed | ) |

signal

Parameters

  needed |

The documentation for this class was generated from the following files:

- src/ui/dialog/settings/SettingsAppearance.h
- src/ui/dialog/settings/SettingsAppearance.cpp